Skip to main content
`Ctrl`+`K`

# PEPGetIterationNumber

Gets the current iteration number. If the call to `PEPSolve()` is complete, then it returns the number of iterations carried out by the solution method.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPGetIterationNumber(PEP pep,PetscInt *its)

Not Collective

## Input Parameter

- pep - the polynomial eigensolver context

## Output Parameter

- its - number of iterations

## Note

During the \(i\)-th iteration this call returns \(i-1\). If `PEPSolve()` is complete, then parameter `its` contains either the iteration number at which convergence was successfully reached, or failure was detected. Call `PEPGetConvergedReason()` to determine if the solver converged or failed and why.

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPGetConvergedReason()`, `PEPSetTolerances()`

## Level

intermediate

## Location

src/pep/interface/pepsolve.c

## Examples

src/pep/tutorials/ex17.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages